## ros-indigo-swri-roscpp 2.8.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(swri_roscpp)

set(BUILD_DEPS
  diagnostic_updater
  dynamic_reconfigure 
  marti_common_msgs
  nav_msgs
  roscpp
  std_msgs
  std_srvs
)

set(RUNTIME_DEPS
  diagnostic_updater 
  dynamic_reconfigure
  marti_common_msgs
  nav_msgs 
  roscpp
  std_msgs
  std_srvs
)

### Catkin ###
find_package(catkin REQUIRED COMPONENTS ${BUILD_DEPS})
include_directories(include
  ${catkin_INCLUDE_DIRS})
catkin_package(CATKIN_DEPENDS ${RUNTIME_DEPS}
  INCLUDE_DIRS include
  CFG_EXTRAS swri_roscpp-extras.cmake)

### Build Test Node ###
add_executable(subscriber_test src/nodes/subscriber_test.cpp)
target_link_libraries(subscriber_test ${catkin_LIBRARIES})

add_executable(latched_subscriber_test src/nodes/latched_subscriber_test.cpp)
target_link_libraries(latched_subscriber_test ${catkin_LIBRARIES})

add_executable(storing_subscriber_test src/nodes/storing_subscriber_test.cpp)
target_link_libraries(storing_subscriber_test ${catkin_LIBRARIES})

add_executable(service_server_test src/nodes/service_server_test.cpp)
target_link_libraries(service_server_test ${catkin_LIBRARIES})

add_executable(timer_test src/nodes/timer_test.cpp)
target_link_libraries(timer_test ${catkin_LIBRARIES})

add_executable(param_example src/nodes/param_example.cpp)
target_link_libraries(param_example ${catkin_LIBRARIES})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_params
                    test/params.test
                    test/params.cpp)
  target_link_libraries(test_params ${catkin_LIBRARIES})
endif()

### Install Test Node and Headers ###
install(TARGETS subscriber_test latched_subscriber_test param_example
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
catkin_install_python(PROGRAMS  scripts/service_splitter.py
                      DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-swri-roscpp (2.8.0-0trusty) trusty; urgency=high

  * Add dynamic parameters (#532 <https://github.com/swri-robotics/marti_common/issues/532>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Wed, 06 Feb 2019 06:00:00 -0000

ros-indigo-swri-roscpp (2.7.3-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Jan 2019 06:00:00 -0000

ros-indigo-swri-roscpp (2.7.2-0trusty) trusty; urgency=high

  * Fix cmake macro for service_splitter.py (#535 <https://github.com/swri-robotics/marti_common/issues/535>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 20 Dec 2018 06:00:00 -0000

ros-indigo-swri-roscpp (2.7.1-0trusty) trusty; urgency=high

  * Fix conditional causing exists to not work properly. (#533 <https://github.com/swri-robotics/marti_common/issues/533>)
  * Remove non ascii character to please python (#530 <https://github.com/swri-robotics/marti_common/issues/530>)
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Fri, 14 Dec 2018 06:00:00 -0000

ros-indigo-swri-roscpp (2.7.0-0trusty) trusty; urgency=high

  * Add topic based services and associated cmake utils (#523 <https://github.com/swri-robotics/marti_common/issues/523>)
    Provide utilities for implementing service type requests using messages in an almost transparent way.
  * Contributors: Matthew

 -- P. J. Reed <preed@swri.org>  Tue, 04 Dec 2018 06:00:00 -0000

ros-indigo-swri-roscpp (2.6.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.org>  Sat, 03 Nov 2018 05:00:00 -0000

ros-indigo-swri-roscpp (2.5.0-0trusty) trusty; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 12 Oct 2018 05:00:00 -0000

ros-indigo-swri-roscpp (2.4.0-0trusty) trusty; urgency=high

  * Update package maintainers (#520 <https://github.com/swri-robotics/marti_common/issues/520>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-indigo-swri-roscpp (2.3.0-0trusty) trusty; urgency=high

  * Only calculate statistics when messages arrive in order (#516 <https://github.com/swri-robotics/marti_common/issues/516>)
  * Contributors: David Anthony

 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 25 May 2018 05:00:00 -0000

ros-indigo-swri-roscpp (2.2.1-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 11 May 2018 05:00:00 -0000

ros-indigo-swri-roscpp (2.2.0-0trusty) trusty; urgency=high

  * Fix crash from messages with null timestamps (#511 <https://github.com/swri-robotics/marti_common/issues/511>)
  * Contributors: Matthew

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 12 Feb 2018 06:00:00 -0000

ros-indigo-swri-roscpp (2.1.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 26 Jan 2018 06:00:00 -0000

ros-indigo-swri-roscpp (2.0.0-0trusty) trusty; urgency=high

  * Ensure all swri::Subscriber members are initialized (#505 <https://github.com/swri-robotics/marti_common/issues/505>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Mon, 18 Dec 2017 06:00:00 -0000

ros-indigo-swri-roscpp (1.2.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 Oct 2017 05:00:00 -0000

ros-indigo-swri-roscpp (1.1.0-0trusty) trusty; urgency=high

  * Add OptionalDiagnosedPublisher class (#483 <https://github.com/pjreed/marti_common/issues/483>)
  * Contributors: Edward Venator, P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Thu, 31 Aug 2017 05:00:00 -0000

ros-indigo-swri-roscpp (1.0.0-0trusty) trusty; urgency=high

  * Add support for boost::function callbacks to swri::Subscriber.
  * Contributors: Elliot Johnson

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 02 Aug 2017 05:00:00 -0000

ros-indigo-swri-roscpp (0.3.0-0trusty) trusty; urgency=high

  * Merge together the indigo, jade, and kinetic branches (#443 <https://github.com/pjreed/marti_common/issues/443>)
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 20 Jun 2017 05:00:00 -0000

ros-indigo-swri-roscpp (0.2.4-0trusty) trusty; urgency=high

  * Port #385 <https://github.com/swri-robotics/marti_common/issues/385> and #419 <https://github.com/swri-robotics/marti_common/issues/419> to kinetic. (#420 <https://github.com/swri-robotics/marti_common/issues/420>)
    A common error when using unfamiliar ROS nodes is to accidentally set parameters
    by the wrong name. This feature allows the node author to output a WARNING
    for any unused parameters.
    Ported forward from indigo-devel
  * Contributors: Edward Venator

 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 11 Apr 2017 05:00:00 -0000

ros-indigo-swri-roscpp (0.2.3-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 09 Dec 2016 06:00:00 -0000

ros-indigo-swri-roscpp (0.2.2-0trusty) trusty; urgency=high

  * Deprecate LatchedSubscriber. (#391 <https://github.com/swri-robotics/marti_common/issues/391>)
    LatchedSubscriber should be replaced with a swri::Subscriber that is
    initialized with the address of a location to store messages. This change
    makes for a simpler and more consistent interface, and avoids the confusion
    that comes from overloading the -> operator.
  * Contributors: P. J. Reed

 -- Elliot Johnson <elliot.johnson@swri.org>  Wed, 07 Dec 2016 06:00:00 -0000

ros-indigo-swri-roscpp (0.2.1-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-indigo-swri-roscpp (0.2.0-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Tue, 21 Jun 2016 05:00:00 -0000

ros-indigo-swri-roscpp (0.1.5-0trusty) trusty; urgency=high



 -- Elliot Johnson <elliot.johnson@swri.org>  Fri, 13 May 2016 05:00:00 -0000

ros-indigo-swri-roscpp (0.1.4-0trusty) trusty; urgency=high

  * Add timeoutParam() method to swri::Subscriber.
    This commit adds a new convenience method, timeoutParam, to


=== debian/control ===
Source: ros-indigo-swri-roscpp
Section: misc
Priority: extra
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-indigo-catkin, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-marti-common-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-swri-roscpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-updater, ros-indigo-dynamic-reconfigure, ros-indigo-marti-common-msgs, ros-indigo-nav-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: swri_roscpp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-swri-roscpp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
